Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfDictionary

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary

Direct Known Subclasses:
  PdfAcroForm, PdfAction, PdfAnnotation, PdfBorderDictionary, PdfCollection, PdfCollectionField, PdfCollectionItem, PdfCollectionSchema, PdfCollectionSort, PdfDocument.PdfCatalog, PdfDocument.PdfInfo, PdfFileSpecification, PdfGState, PdfLayer, PdfLayerMembership, PdfMediaClipData, PdfOCProperties, PdfOutline, PdfPage, PdfRendition, PdfResources, PdfShadingPattern, PdfSignature, PdfStream, PdfStructureElement, PdfStructureTreeRoot, PdfTargetDictionary, PdfTransparencyGroup, PdfWriter.PdfTrailer, PRAcroForm

    public class PdfDictionary

extends PdfObject

`PdfDictionary` is the Pdf dictionary object.

A dictionary is an associative table containing pairs of objects. The first element of each pair is called the key and the second element is called the value. Unlike dictionaries in the PostScript language, a key must be a `PdfName`. A value can be any kind of `PdfObject`, including a dictionary. A dictionary is generally used to collect and tie together the attributes of a complex object, with each key-value pair specifying the name and value of an attribute.
A dictionary is represented by two left angle brackets (<<), followed by a sequence of key-value pairs, followed by two right angle brackets (>>).
This object is described in the 'Portable Document Format Reference Manual version 1.7' section 3.2.6 (page 59-60).

See Also:
  `PdfObject`, `PdfName`, `BadPdfFormatException`

Field Summary
`static PdfName` | `CATALOG` This is a possible type of dictionary
`private PdfName` | `dictionaryType` This is the type of this dictionary
`static PdfName` | `FONT` This is a possible type of dictionary
`protected HashMap` | `hashMap` This is the hashmap that contains all the values and keys of the dictionary
`static PdfName` | `OUTLINES` This is a possible type of dictionary
`static PdfName` | `PAGE` This is a possible type of dictionary
`static PdfName` | `PAGES` This is a possible type of dictionary

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfDictionary()` Constructs an empty `PdfDictionary`-object.
`PdfDictionary(PdfName type)` Constructs a `PdfDictionary`-object of a certain type.

Method Summary
`boolean` | `contains(PdfName key)`
`PdfObject` | `get(PdfName key)` Gets a `PdfObject` with a certain key from the `PdfDictionary`.
`PdfArray` | `getAsArray(PdfName key)`
`PdfBoolean` | `getAsBoolean(PdfName key)`
`PdfDictionary` | `getAsDict(PdfName key)` All the getAs functions will return either null, or the specified object type This function will automatically look up indirect references.
`PdfIndirectReference` | `getAsIndirectObject(PdfName key)`
`PdfName` | `getAsName(PdfName key)`
`PdfNumber` | `getAsNumber(PdfName key)`
`PdfStream` | `getAsStream(PdfName key)`
`PdfString` | `getAsString(PdfName key)`
`PdfObject` | `getDirectObject(PdfName key)` This function behaves the same as 'get', but will never return an indirect reference, it will always look such references up and return the actual object.
`Set` | `getKeys()`
`boolean` | `isCatalog()` Checks if a `Dictionary` is of the type CATALOG.
`boolean` | `isFont()` Checks if a `Dictionary` is of the type FONT.
`boolean` | `isOutlineTree()` Checks if a `Dictionary` is of the type OUTLINES.
`boolean` | `isPage()` Checks if a `Dictionary` is of the type PAGE.
`boolean` | `isPages()` Checks if a `Dictionary` is of the type PAGES.
`void` | `merge(PdfDictionary other)`
`void` | `mergeDifferent(PdfDictionary other)`
`void` | `put(PdfName key, PdfObject value)` Adds a `PdfObject` and its key to the `PdfDictionary`.
`void` | `putAll(PdfDictionary dic)`
`void` | `putEx(PdfName key, PdfObject value)` Adds a `PdfObject` and its key to the `PdfDictionary`.
`void` | `remove(PdfName key)` Removes a `PdfObject` and its key from the `PdfDictionary`.
`int` | `size()`
`void` | `toPdf(PdfWriter writer, OutputStream os)` Returns the PDF representation of this `PdfDictionary`.
`String` | `toString()` Returns the `String`-representation of this `PdfObject`.

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FONT

    public static final PdfName FONT

  This is a possible type of dictionary

### OUTLINES

    public static final PdfName OUTLINES

  This is a possible type of dictionary

### PAGE

    public static final PdfName PAGE

  This is a possible type of dictionary

### PAGES

    public static final PdfName PAGES

  This is a possible type of dictionary

### CATALOG

    public static final PdfName CATALOG

  This is a possible type of dictionary

### dictionaryType

    private PdfName dictionaryType

  This is the type of this dictionary

### hashMap

    protected HashMap hashMap

  This is the hashmap that contains all the values and keys of the dictionary

Constructor Detail

### PdfDictionary

    public PdfDictionary()

  Constructs an empty `PdfDictionary`-object.

### PdfDictionary

    public PdfDictionary(PdfName type)

  Constructs a `PdfDictionary`-object of a certain type.

  Parameters:
    `type` - a `PdfName`

Method Detail

### toPdf

    public void toPdf(PdfWriter writer,
                      OutputStream os)
               throws IOException

  Returns the PDF representation of this `PdfDictionary`.

  Overrides:
    `toPdf` in class `PdfObject`
  Parameters:
    `writer` - for backwards compatibility
    `os` - the outputstream to write the bytes to.
  Throws:
    `IOException`

### put

    public void put(PdfName key,
                    PdfObject value)

  Adds a `PdfObject` and its key to the `PdfDictionary`. If the value is `null` or `PdfNull` the key is deleted.

  Parameters:
    `key` - key of the entry (a `PdfName`)
    `value` - value of the entry (a `PdfObject`)

### putEx

    public void putEx(PdfName key,
                      PdfObject value)

  Adds a `PdfObject` and its key to the `PdfDictionary`. If the value is null it does nothing.

  Parameters:
    `key` - key of the entry (a `PdfName`)
    `value` - value of the entry (a `PdfObject`)

### remove

    public void remove(PdfName key)

  Removes a `PdfObject` and its key from the `PdfDictionary`.

  Parameters:
    `key` - key of the entry (a `PdfName`)

### get

    public PdfObject get(PdfName key)

  Gets a `PdfObject` with a certain key from the `PdfDictionary`.

  Parameters:
    `key` - key of the entry (a `PdfName`)
  Returns:
    the previous PdfObject corresponding with the key

### isFont

    public boolean isFont()

  Checks if a `Dictionary` is of the type FONT.

  Returns:
    `true` if it is, `false` if it isn't.

### isPage

    public boolean isPage()

  Checks if a `Dictionary` is of the type PAGE.

  Returns:
    `true` if it is, `false` if it isn't.

### isPages

    public boolean isPages()

  Checks if a `Dictionary` is of the type PAGES.

  Returns:
    `true` if it is, `false` if it isn't.

### isCatalog

    public boolean isCatalog()

  Checks if a `Dictionary` is of the type CATALOG.

  Returns:
    `true` if it is, `false` if it isn't.

### isOutlineTree

    public boolean isOutlineTree()

  Checks if a `Dictionary` is of the type OUTLINES.

  Returns:
    `true` if it is, `false` if it isn't.

### merge

    public void merge(PdfDictionary other)

### mergeDifferent

    public void mergeDifferent(PdfDictionary other)

### getKeys

    public Set getKeys()

### putAll

    public void putAll(PdfDictionary dic)

### size

    public int size()

### contains

    public boolean contains(PdfName key)

### toString

    public String toString()

  Description copied from class: `PdfObject`
  Returns the `String`-representation of this `PdfObject`.

  Overrides:
    `toString` in class `PdfObject`
  Returns:
    a `String`
  See Also:
    `PdfObject.toString()`

### getDirectObject

    public PdfObject getDirectObject(PdfName key)

  This function behaves the same as 'get', but will never return an indirect reference, it will always look such references up and return the actual object.

  Parameters:
    `key` -
  Returns:
    null, or a non-indirect object

### getAsDict

    public PdfDictionary getAsDict(PdfName key)

  All the getAs functions will return either null, or the specified object type This function will automatically look up indirect references. There's one obvious exception, the one that will only return an indirect reference. All direct objects come back as a null. Mark A Storer (2/17/06)

  Parameters:
    `key` -
  Returns:
    the appropriate object in its final type, or null

### getAsArray

    public PdfArray getAsArray(PdfName key)

### getAsStream

    public PdfStream getAsStream(PdfName key)

### getAsString

    public PdfString getAsString(PdfName key)

### getAsNumber

    public PdfNumber getAsNumber(PdfName key)

### getAsName

    public PdfName getAsName(PdfName key)

### getAsBoolean

    public PdfBoolean getAsBoolean(PdfName key)

### getAsIndirectObject

    public PdfIndirectReference getAsIndirectObject(PdfName key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD